//Daniel's Net Loader 1.0 - We are going to chnage the world.

//++ Functions ++
function loadPlotDocument( path )
{
	path += '?t=' + Date.now(); //Timestamp the get to bypass cache.
	
	plot.html( '<div class="center"><br/><br/><br/><h2>Fetching your page!</h2></div>' );
		
	jQuery.get( path, function( data ) 
	{
		if( data == null )
		{
			plot.html( "<h1>404 - The page you're looking for could not be found :(</h1>" )
		}
		else
		{
			plot.html( data );
		}
	});
}

function sceneLink( scene )
{		
	hideInnerPlot();
	history.pushState('', '', '?w='+scene );
}

function pageLink( page )
{		
	showInnerPlot();
	loadPlotDocument( 'pages/'+page+'.htm' );
	history.pushState('', '', '?z='+page );
}

function showInnerPlot()
{
	plot.css("display", "block");
}

function hideInnerPlot()
{
	plot.css("display", "none");
}

//+++ Variables +++
var plot = $('#plot-inner');
var canvas = $('#plot-canvas');

//+++ Page Load Engage +++
$(function()
{	
	$("header table a").click(function() 
	{
		var type = $(this).html();
		
  		renderServerSearch( 'Type?q=', type );
  		history.pushState('', '', '?t=' + type );
	});
	
	$("#nav-top").click(function() 
	{
		$("html, body").animate({scrollTop: 0}, 1000);
	});
	
	//Page rendering
	var page = getParameterByName('z');
	
	if( page != null )
	{
		pageLink( page );
	}
	else
	{
		hideInnerPlot();	
	}
});