//+++ General Utils +++

//Gets URL parameters
function getParameterByName(name, url) 
{
    if (!url) 
    {
      url = window.location.href;
    }
    name = name.replace(/[\[\]]/g, "\\$&");
    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"), results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, " "));
}

function addParameter( url, param )
{
	if( url.includes( '?' ) )
	{
		return url + '&' + param;
	}
	else
	{
		return url + '?' + param;
	}
}

function getFileType( filename )
{
	return filename.substring(filename.lastIndexOf('.')+1, filename.length) || filename;
}